Bug 1297495 - chocolate doom shows 5 times in gnome-software, has non functional desktop files
chocolate doom shows 5 times in gnome-software, has non functional desktop files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: chocolate-doom (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 11:22 EST by Hans de Goede
Modified: 2018-05-29 07:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:56:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2016-01-11 11:22:38 EST
Hi,

chocolate-doom ships with 5 desktop files:

/usr/share/applications/chocolate-doom.desktop
/usr/share/applications/chocolate-heretic.desktop
/usr/share/applications/chocolate-hexen.desktop
/usr/share/applications/chocolate-setup.desktop
/usr/share/applications/chocolate-strife.desktop

This causes it to show up 5 times in gnome-software when it is installed, once for each desktop file.

I've been discussing how to deal with this with Richard Hughes and the conclusion is that packages like chocolate-doom which install multiple desktop files and multiple binaries, should have subpackages,
so in the case of chocolate-doom this would mean splitting it in:

chocolate-doom-doom
chocolate-doom-heretic
chocolate-doom-hexen
chocolate-doom-strife

Packages, with an empty chocolate-doom main package (this can be done with an empty %files section) which requires all the sub packages to ensure a smooth upgrade path.

And then each of the subpackages would have the binaries, docs, man-pages and .desktop file of its doom variant. Please also add appdata.xml files for the other variants so that their gnome-software page gets a screenshot of heretic, hexen, etc.

This way there will still be 4 gnome-software entries, but now they can be installed / removed individually and then having multiple entries is fine.

###

The current chocolate-setup.desktop is broken, as it tries to runs a non-existing binary, please remove it, we do not want .desktop files for utilities like these they just unnecessarily clutter the application menu.

Regards,

Hans
Comment 1 Fedora End Of Life 2016-11-24 09:51:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-02-28 04:52:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 3 Fedora End Of Life 2018-05-03 04:45:05 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 07:56:07 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.